package com.playwrightdemo.Base;

import com.microsoft.playwright.Page;
import com.playwrightdemo.utils.ConfigReader;
import com.playwrightdemo.utils.PlayWrightBrowserFactory;

public class TestBase {

    public static Page page;

    public TestBase(){

      //  page= PlayWrightBrowserFactory.init_Browser(ConfigReader.getBrowserProperty(),ConfigReader.getHeadLessAttribute(),ConfigReader.getAppURL());

    }

    public static void intialization(){

        page= PlayWrightBrowserFactory.init_Browser(ConfigReader.getBrowserProperty(),ConfigReader.getHeadLessAttribute(),ConfigReader.getAppURL(),200);
        page.setDefaultTimeout(15000);

    }




}
